Debian Bug report logs - #650394
ITP: tigervnc -- High-speed Virtual Network Computing (VNC)

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Tue, 29 Nov 2011 14:27:02 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Merged with 654924

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ola@inguza.com, 581039@bugs.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Tue, 29 Nov 2011 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to ola@inguza.com, 581039@bugs.debian.org, wnpp@debian.org. (Tue, 29 Nov 2011 14:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: tigervnc -- High-speed Virtual Network Computing (VNC)
Date: Tue, 29 Nov 2011 09:22:12 -0500
Package: wnpp
Severity: wishlist

* Package name    : tigervnc
  Version         : 1.1.0 
  Upstream Author : http://www.tigervnc.com/
* URL             : http://www.tigervnc.com/
* License         : GPL
  Programming Lang: C, C++
  Description     : High-speed Virtual Network Computing (VNC)

TigerVNC is a high-performance, platform-neutral implementation of VNC (Virtual
Network Computing), a client/server application that allows users to launch and
interact with graphical applications on remote machines. TigerVNC provides the
levels of performance necessary to run 3D and video applications, and it
attempts to maintain a common look and feel and re-use components, where
possible, across the various platforms that it supports. TigerVNC also provides
extensions for advanced authentication methods and TLS encryption. 

I am somewhat a heavy VNC user and I have been test-driving upstream's binary
build with VirtualGL on the server side for more than a month now.  I am so far
extremely satisfied with its performance (was able to play HD youtube video
remotely without any major slugishness, and use some opengl quite smoothly) and
stability.  It would be great to get tigervnc into Debian to replace aged
alternatives.    Some relevant discussion was done at
http://bugs.debian.org/581039




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Wed, 30 Nov 2011 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Nov 2011 06:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 650394@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@debian.hu>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 650394@bugs.debian.org
Subject: preliminary tigervnc 1.1.0 package
Date: Wed, 30 Nov 2011 07:06:40 +0100
Hi Yaroslav,

I've made a preliminary tigervnc package[1]. It builds and seems to be
working. However it has some problems, like debian/copyright is not DEP5
compatible and due to upstream issues it can't be build two times in a
row. Even worse, upstream tarball contains embedded code of libjpeg and
zlib1g. Only libjpeg seems to be used from the system.

Cheers,
Laszlo/GCS
[1] dget -x http://www.routers.hu/gcs/tigervnc_1.1.0-1.dsc





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Wed, 30 Nov 2011 23:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Nov 2011 23:03:12 GMT) Full text and rfc822 format available.

Message #15 received at 650394@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Laszlo Boszormenyi <gcs@debian.hu>
Cc: 650394@bugs.debian.org, Ola Lundqvist <ola@inguza.com>
Subject: Re: preliminary tigervnc 1.1.0 package
Date: Wed, 30 Nov 2011 18:01:11 -0500
Hi Laszlo,

Great to see efforts going forward ;-)  What about making packaging
available in some public VCS (I would prefer/recommend GIT) so we could
collaborate more efficiently.  Few brief comments (can't look in detail
atm):

* have you considered dh-autoreconf to help with the pain of regenerated
  files?

* as you could see from other vnc packages, /usr/bin/vnc* is managed
  through alternatives:

$> ls -l /usr/bin/*vnc* | grep altern
lrwxrwxrwx 1 root root      22 Jan 21  2010 /usr/bin/Xvnc -> /etc/alternatives/Xvnc*
lrwxrwxrwx 1 root root      27 Jan 21  2010 /usr/bin/vncconfig -> /etc/alternatives/vncconfig*
lrwxrwxrwx 1 root root      27 Jan 21  2010 /usr/bin/vncpasswd -> /etc/alternatives/vncpasswd*
lrwxrwxrwx 1 root root      27 Jan 21  2010 /usr/bin/vncserver -> /etc/alternatives/vncserver*
lrwxrwxrwx 1 root root      27 May 22  2009 /usr/bin/vncviewer -> /etc/alternatives/vncviewer*
lrwxrwxrwx 1 root root      29 Jan 21  2010 /usr/bin/x0vncserver -> /etc/alternatives/x0vncserver*
lrwxrwxrwx 1 root root      28 May 22  2009 /usr/bin/xvncviewer -> /etc/alternatives/xvncviewer*

 so it would be great  to adopt this strategy for this package as well

* would be great similarly to split out server and client into separate
packages

* what kind of error were you getting while hitting that problem with building
twice in a row? I have tried on a stable Debian system, and succeeded to
do  fakeroot debian/rules build, clean, build


* jpeg library is probably not just libjpeg (didn't look what is from it
there) but extended one with turbojpeg, which ideally indeed should be packaged
separately... FWIW it is already present in few other packages:

$> zgrep turbojpe ~/deb/docs/Contents-sources.gz 
chromium-browser: src/third_party/libjpeg_turbo/turbojpeg.h
chromium-browser: src/third_party/libjpeg_turbo/turbojpegl.c
ssvnc: vnc_unixsrc/vncviewer/turbovnc/turbojpeg.h
x11vnc: x11vnc/misc/turbovnc/turbojpeg.h

* zlib -- I don't see any commits in tigervnc repository hinting on them
patching it (besides build system)... they carry 1.2.5 version which is already
in Debian   unstable (stable carries 1.2.3.4) so it would be ok to use
system-wide available one so little patching I guess is due to make that happen

 NB I don't know if 1.2.3.4 is API compatible, so it might make sense to carry
   copy of zlib along in the sources so it could be easily used while
   building backports (which I would hope to be able to do)

Hope this of some help ;)  keep on good work

On Wed, 30 Nov 2011, Laszlo Boszormenyi wrote:

> Hi Yaroslav,

> I've made a preliminary tigervnc package[1]. It builds and seems to be
> working. However it has some problems, like debian/copyright is not DEP5
> compatible and due to upstream issues it can't be build two times in a
> row. Even worse, upstream tarball contains embedded code of libjpeg and
> zlib1g. Only libjpeg seems to be used from the system.

> Cheers,
> Laszlo/GCS
> [1] dget -x http://www.routers.hu/gcs/tigervnc_1.1.0-1.dsc



-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Thu, 01 Dec 2011 05:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Dec 2011 05:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 650394@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Laszlo Boszormenyi <gcs@debian.hu>, 650394@bugs.debian.org, Ola Lundqvist <ola@inguza.com>
Subject: Re: preliminary tigervnc 1.1.0 package
Date: Thu, 1 Dec 2011 06:46:00 +0100
Hi Laszlo

Yes this is really good news. If you want some help on the alternatives
part and splitting the package I can probably do that. I sort of got the
hang of it after doing that for four different Vnc suites. :-)

// Ola

On Wed, Nov 30, 2011 at 06:01:11PM -0500, Yaroslav Halchenko wrote:
> Hi Laszlo,
> 
> Great to see efforts going forward ;-)  What about making packaging
> available in some public VCS (I would prefer/recommend GIT) so we could
> collaborate more efficiently.  Few brief comments (can't look in detail
> atm):
> 
> * have you considered dh-autoreconf to help with the pain of regenerated
>   files?
> 
> * as you could see from other vnc packages, /usr/bin/vnc* is managed
>   through alternatives:
> 
> $> ls -l /usr/bin/*vnc* | grep altern
> lrwxrwxrwx 1 root root      22 Jan 21  2010 /usr/bin/Xvnc -> /etc/alternatives/Xvnc*
> lrwxrwxrwx 1 root root      27 Jan 21  2010 /usr/bin/vncconfig -> /etc/alternatives/vncconfig*
> lrwxrwxrwx 1 root root      27 Jan 21  2010 /usr/bin/vncpasswd -> /etc/alternatives/vncpasswd*
> lrwxrwxrwx 1 root root      27 Jan 21  2010 /usr/bin/vncserver -> /etc/alternatives/vncserver*
> lrwxrwxrwx 1 root root      27 May 22  2009 /usr/bin/vncviewer -> /etc/alternatives/vncviewer*
> lrwxrwxrwx 1 root root      29 Jan 21  2010 /usr/bin/x0vncserver -> /etc/alternatives/x0vncserver*
> lrwxrwxrwx 1 root root      28 May 22  2009 /usr/bin/xvncviewer -> /etc/alternatives/xvncviewer*
> 
>  so it would be great  to adopt this strategy for this package as well
> 
> * would be great similarly to split out server and client into separate
> packages
> 
> * what kind of error were you getting while hitting that problem with building
> twice in a row? I have tried on a stable Debian system, and succeeded to
> do  fakeroot debian/rules build, clean, build
> 
> 
> * jpeg library is probably not just libjpeg (didn't look what is from it
> there) but extended one with turbojpeg, which ideally indeed should be packaged
> separately... FWIW it is already present in few other packages:
> 
> $> zgrep turbojpe ~/deb/docs/Contents-sources.gz 
> chromium-browser: src/third_party/libjpeg_turbo/turbojpeg.h
> chromium-browser: src/third_party/libjpeg_turbo/turbojpegl.c
> ssvnc: vnc_unixsrc/vncviewer/turbovnc/turbojpeg.h
> x11vnc: x11vnc/misc/turbovnc/turbojpeg.h
> 
> * zlib -- I don't see any commits in tigervnc repository hinting on them
> patching it (besides build system)... they carry 1.2.5 version which is already
> in Debian   unstable (stable carries 1.2.3.4) so it would be ok to use
> system-wide available one so little patching I guess is due to make that happen
> 
>  NB I don't know if 1.2.3.4 is API compatible, so it might make sense to carry
>    copy of zlib along in the sources so it could be easily used while
>    building backports (which I would hope to be able to do)
> 
> Hope this of some help ;)  keep on good work
> 
> On Wed, 30 Nov 2011, Laszlo Boszormenyi wrote:
> 
> > Hi Yaroslav,
> 
> > I've made a preliminary tigervnc package[1]. It builds and seems to be
> > working. However it has some problems, like debian/copyright is not DEP5
> > compatible and due to upstream issues it can't be build two times in a
> > row. Even worse, upstream tarball contains embedded code of libjpeg and
> > zlib1g. Only libjpeg seems to be used from the system.
> 
> > Cheers,
> > Laszlo/GCS
> > [1] dget -x http://www.routers.hu/gcs/tigervnc_1.1.0-1.dsc
> 
> 
> 
> -- 
> =------------------------------------------------------------------=
> Keep in touch                                     www.onerussian.com
> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Tue, 10 Jan 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Jan 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 650394@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Ola Lundqvist <ola@inguza.com>
Cc: Laszlo Boszormenyi <gcs@debian.hu>, 650394@bugs.debian.org
Subject: Re: preliminary tigervnc 1.1.0 package
Date: Tue, 10 Jan 2012 11:44:53 -0500
[Message part 1 (text/plain, inline)]
FWIW -- I have being running the same instance of VNC since then and had
no issues whatsoever...  it might be worth dropping all four for the
sake of 1 which works reliably ;)

On Thu, 01 Dec 2011, Ola Lundqvist wrote:

> Hi Laszlo

> Yes this is really good news. If you want some help on the alternatives
> part and splitting the package I can probably do that. I sort of got the
> hang of it after doing that for four different Vnc suites. :-)

> // Ola
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Mon, 23 Jan 2012 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Jan 2012 06:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 650394@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Ola Lundqvist <ola@inguza.com>, Laszlo Boszormenyi <gcs@debian.hu>, 650394@bugs.debian.org
Subject: Re: preliminary tigervnc 1.1.0 package
Date: Mon, 23 Jan 2012 07:03:04 +0100
I'll see if I can find some time to get this one into Debian.

// Ola

On Tue, Jan 10, 2012 at 11:44:53AM -0500, Yaroslav Halchenko wrote:
> FWIW -- I have being running the same instance of VNC since then and had
> no issues whatsoever...  it might be worth dropping all four for the
> sake of 1 which works reliably ;)
> 
> On Thu, 01 Dec 2011, Ola Lundqvist wrote:
> 
> > Hi Laszlo
> 
> > Yes this is really good news. If you want some help on the alternatives
> > part and splitting the package I can probably do that. I sort of got the
> > hang of it after doing that for four different Vnc suites. :-)
> 
> > // Ola
> -- 
> =------------------------------------------------------------------=
> Keep in touch                                     www.onerussian.com
> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic



-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Mon, 23 Jan 2012 13:03:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Jan 2012 13:04:00 GMT) Full text and rfc822 format available.

Message #35 received at 650394@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@onerussian.com>
To: ola@inguza.com,Yaroslav Halchenko <debian@onerussian.com>
Cc: Laszlo Boszormenyi <gcs@debian.hu>,650394@bugs.debian.org
Subject: Re: preliminary tigervnc 1.1.0 package
Date: Mon, 23 Jan 2012 01:46:28 -0500
[Message part 1 (text/plain, inline)]
Yeay!

Ola Lundqvist <ola@inguza.com> wrote:

>I'll see if I can find some time to get this one into Debian.
>
>// Ola
>
>On Tue, Jan 10, 2012 at 11:44:53AM -0500, Yaroslav Halchenko wrote:
>> FWIW -- I have being running the same instance of VNC since then and
>had
>> no issues whatsoever...  it might be worth dropping all four for the
>> sake of 1 which works reliably ;)
>>
>> On Thu, 01 Dec 2011, Ola Lundqvist wrote:
>>
>> > Hi Laszlo
>>
>> > Yes this is really good news. If you want some help on the
>alternatives
>> > part and splitting the package I can probably do that. I sort of
>got the
>> > hang of it after doing that for four different Vnc suites. :-)
>>
>> > // Ola
>> --
>> =------------------------------------------------------------------=
>> Keep in touch                                     www.onerussian.com
>> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
>
>
>
>--
> --- Inguza Technology AB --- MSc in Information Technology ----
>/  ola@inguza.com                    Annebergsslingan 37        \
>|  opal@debian.org                   654 65 KARLSTAD            |
>|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
>\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
> ---------------------------------------------------------------

--
Sent from my Android phone with K-9 Mail. Please excuse my brevity.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Tue, 21 Feb 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Feb 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #40 received at 650394@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Joachim Falk <joachim.falk@gmx.de>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Laszlo Boszormenyi <gcs@debian.hu>, Ola Lundqvist <ola@inguza.com>, 654924@bugs.debian.org, 650394@bugs.debian.org
Subject: Re: Fwd: Processed (with 1 errors): merge 650394 654924
Date: Tue, 21 Feb 2012 18:12:36 -0500
great to see the packaging going forward -- I don't mind a 'force-merge'
of these two buddies -- any objections?

and great to hear that libjpeg-turbo is just few steps behind (although the
promise to upload in few days seems still not be fulfilled since Jan)

any plans on making debian source (and binary) packages lintian free? ;-)

here is a current summary:

$> lintian tigervnc_1.1.0-2jf.dsc
W: tigervnc source: native-package-with-dash-version
W: tigervnc source: diff-contains-git-control-dir .git
W: tigervnc source: package-needs-versioned-debhelper-build-depends 8
W: tigervnc source: maintainer-also-in-uploaders
W: tigervnc source: quilt-build-dep-but-no-series-file
W: tigervnc source: patch-system-but-no-source-readme
E: tigervnc source: missing-build-dependency cdbs
W: tigervnc source: out-of-date-standards-version 3.8.4 (current is 3.9.2)

and if only all those patches picked up from upstream sources were moved
into debian/patches under quilt control... if you need help with that -- let me
know, and commit all changes, make git repository publicly available (we could
create one on alioth or anytime on github meanwhile)

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#650394; Package wnpp. (Wed, 22 Feb 2012 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 Feb 2012 05:45:03 GMT) Full text and rfc822 format available.

Message #45 received at 650394@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Joachim Falk <joachim.falk@gmx.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Laszlo Boszormenyi <gcs@debian.hu>, Ola Lundqvist <ola@inguza.com>, 654924@bugs.debian.org, 650394@bugs.debian.org
Subject: Re: Fwd: Processed (with 1 errors): merge 650394 654924
Date: Wed, 22 Feb 2012 06:40:31 +0100
Hi

I think this is great that you help with the packaging. I'm happy
to help if you want to.

Best regards,

// Ola

On Tue, Feb 21, 2012 at 06:12:36PM -0500, Yaroslav Halchenko wrote:
> great to see the packaging going forward -- I don't mind a 'force-merge'
> of these two buddies -- any objections?
> 
> and great to hear that libjpeg-turbo is just few steps behind (although the
> promise to upload in few days seems still not be fulfilled since Jan)
> 
> any plans on making debian source (and binary) packages lintian free? ;-)
> 
> here is a current summary:
> 
> $> lintian tigervnc_1.1.0-2jf.dsc
> W: tigervnc source: native-package-with-dash-version
> W: tigervnc source: diff-contains-git-control-dir .git
> W: tigervnc source: package-needs-versioned-debhelper-build-depends 8
> W: tigervnc source: maintainer-also-in-uploaders
> W: tigervnc source: quilt-build-dep-but-no-series-file
> W: tigervnc source: patch-system-but-no-source-readme
> E: tigervnc source: missing-build-dependency cdbs
> W: tigervnc source: out-of-date-standards-version 3.8.4 (current is 3.9.2)
> 
> and if only all those patches picked up from upstream sources were moved
> into debian/patches under quilt control... if you need help with that -- let me
> know, and commit all changes, make git repository publicly available (we could
> create one on alioth or anytime on github meanwhile)
> 
> -- 
> =------------------------------------------------------------------=
> Keep in touch                                     www.onerussian.com
> Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Owner recorded as Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. Request was from Joachim Falk <joachim.falk@gmx.de> to control@bugs.debian.org. (Thu, 05 Apr 2012 18:09:06 GMT) Full text and rfc822 format available.

Merged 650394 654924 Request was from Joachim Falk <joachim.falk@gmx.de> to control@bugs.debian.org. (Thu, 05 Apr 2012 18:09:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: tigervnc -- High-speed Virtual Network Computing (VNC)' from 'RFP: tigervnc -- High-speed Virtual Network Computing (VNC)' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#650394; Package wnpp. (Fri, 19 Apr 2013 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Fri, 19 Apr 2013 17:30:04 GMT) Full text and rfc822 format available.

Message #56 received at 650394@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: pkg-tigervnc-devel@lists.alioth.debian.org
Cc: 650394@bugs.debian.org
Subject: Rejected tigervnc 1.2.0+X1.12.4-1 -- interim binary packages
Date: Fri, 19 Apr 2013 13:27:36 -0400
Hi Team and everyone interested in TigerVNC.

While we are working on getting it officially accepted, anyone interested to
give it a try:  I have uploaded binary builds for wheezy, sid (probably
virtually the same) and even Ubuntu 12.10 (just out of courtesy, no support is
implied really) to NeuroDebian repository: http://neuro.debian.net/ , and
testing its backport build for wheezy as of speaking.  Please report bugs you
run into to the pkg-tigervnc-devel mailing list:

http://lists.alioth.debian.org/mailman/listinfo/pkg-tigervnc-devel

Besides resolving outstanding issues toward acceptance into Debian
proper, it would be worth to 

- add -dbg package with symbols to ease debugging of the crashes

- CP a patch for xtigervncviewer to support some convenience options
  (e.g.  -via), or just may be wait for the next release? ;)

Author: atkac <atkac@3789f03b-4d11-0410-bbf8-ca57d06f2519>
Date:   Wed Jan 23 13:55:46 2013 +0000

    Re-add the "-via" parameter support on UNIX platforms.
    
git-svn-id: https://tigervnc.svn.sourceforge.net/svnroot/tigervnc@5032 3789f03b-4d11-0410-bbf8-ca57d06f2519

Cheers,
-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:49:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.